=== debian/control ===
Source: ros-rolling-ament-lint-cmake
Section: misc
Priority: optional
Maintainer: Michael Jeronimo <michael.jeronimo@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-rolling-ament-copyright, ros-rolling-ament-flake8, ros-rolling-ament-pep257, ros-rolling-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ament-lint-cmake
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-rolling-ros-workspace
Description: The ability to lint CMake code using cmakelint and generate xUnit test result files.
